package com.zyb.loveball.assets;

import com.zyb.loveball.utils.Log;
import com.zyb.loveball.utils.MyRandom;

public class LevelData {
    private int id;
    private int reward;
    private boolean[] magnifier;
    private int inkAll;
    private int ink3;
    private int ink2;
    private int inkInitial;
    private int times;
    private int[] push =new int[6];
    private int hintPrice = 200;
    private boolean banner;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getReward() {
        return reward;
    }

    public void setReward(int reward) {
        this.reward = reward;
    }

    public boolean[] getMagnifier() {
        return magnifier;
    }

    public void setMagnifier(boolean[] magnifier) {
        this.magnifier = magnifier;
    }

    public int getInkAll() {
        return inkAll;
    }

    public void setInkAll(int inkAll) {
        this.inkAll = inkAll;
    }

    public int getInk3() {
        return ink3;
    }

    public void setInk3(int ink3) {
        this.ink3 = ink3;
    }

    public int getInk2() {
        return ink2;
    }

    public void setInk2(int ink2) {
        this.ink2 = ink2;
    }

    public int getInkInitial() {
        return inkInitial;
    }

    public int getTimes() {
        return times;
    }

    public void setInkInitial(int inkInitial) {
        this.inkInitial = inkInitial;
    }

    public void setTimes(int times) {
        this.times = times;
    }

    public void setPush(int id,int value){
        push[id] = value;
    }


    public int getPushId(boolean coinEnough){
        int total = 0;
        int id = 0;
        for(int i = 0;i<push.length;i++){
            if(!coinEnough && i>=4) break;
            total+=push[i];
        }
        if(total == 0) id = 0;
        else {
            int randomValue = MyRandom.getInstance().nextInt(total);
            int temp = 0;
            for (int i = 0; i < push.length; i++) {
                temp += push[i];
                if (randomValue <= temp) {
                    id = i;
                    break;
                }
            }
            Log.log("LevelData","level id : + " + this.id +  "    extra reward :" + id + "   total: " + total + "   randomValue: " + randomValue);
        }
        return id;
    }

    public void setBanner(boolean banner) {
        this.banner = banner;
    }

    public boolean isBanner() {
        return banner;
    }

    public int getHintPrice() {
        return hintPrice;
    }

    public void setHintPrice(int hintPrice) {
        this.hintPrice = hintPrice;
    }
}
