package com.zyb.loveball.constants;

import com.badlogic.gdx.graphics.Color;

public class Constant {

    final public static float TIME_STEP = 1 / 60F;
    final public static float SCALE = 1 / 80F;
    final public static float LINESIZE = 0.03f;       //线的粗细
    final public static float CHECK_SIZE = LINESIZE * 1.5F;
    final public static float MINBOXLENGTH = 0.01f;   //构成曲线的直线的最小长度
    final public static float CHAPTER_NUN = 30;
    final public static int CHALLENGE_2_COUNTDOWN = 30;
    final public static float CHALLENGE_NUN = 3;
    final public static String LEVEL_PIC_PATH = "level_pic/";
    final public static float friction = 0.2F;
    final public static int[] hintLineHandArray = {1,1};
    final public static int[] rateLevel = {4,3,10,10,20,10};
    final public static Color[] challengeColors = {
            new Color(225/255F,152/255F,215/255F,1),new Color(185/255F,158/255F,230/255F,1),new Color(242/255F,170/255F,130/255F,1)
    };
    public static float handSecond = 7;
    public static final BaseAttribute ball = new BaseAttribute(0.1F,0.1F,0.1F);
    public static final BaseAttribute ball_bouncy = new BaseAttribute(0.1F,0.5F,0.1F);
    public static final BaseAttribute zombie = new BaseAttribute(0.1F,0F,0.1F);
    public static final BaseAttribute line= new BaseAttribute(0.6F,0,0.1F);
    public static final BaseAttribute seesaw= new BaseAttribute(0.1F,0,0.1F);
    public static final BaseAttribute ground= new BaseAttribute(0.5F,0,0.1F);
    public static final BaseAttribute dynamic_object= new BaseAttribute(0.1F,0,0.1F);
    public static final int HINT_COST = 200;

    public static final int SCREEN_SHOT_H_BIG = 500;
    public static final int SCREEN_SHOT_W_BIG = 300;
    public static final int SCREEN_SHOT_H_SMALL = 260;
    public static final int SCREEN_SHOT_W_SMALL = 165;

    public static final int BOMB_ID_1 = 3;
    public static final int BOMB_ID_2 = 4;

    public static class BaseAttribute{
        public float density;
        public float restitution;
        public float friction;

        public BaseAttribute(float density,float restitution,float friction){
            this.density = density;
            this.restitution = restitution;
            this.friction = friction;
        }
    }

}
