package com.zyb.loveball.dialogs;

import com.badlogic.gdx.scenes.scene2d.Touchable;
import com.zyb.loveball.HelloZombieGame;
import com.zyb.loveball.assets.Configuration;
import com.zyb.loveball.utils.listener.SoundButtonListener;

/**
 * Created by Doodle on 2018/11/26.
 */

public class RateDialog extends BaseDialog{
    @Override
    protected void initButtons() {
        super.initButtons();
        group.findActor("btn_rate", Touchable.enabled).addListener(new SoundButtonListener(){
            @Override
            public void touchUpEffect() {
                super.touchUpEffect();
                HelloZombieGame.launcherListener.rate();
                Configuration.settingData.setRate(true);
                close();
            }
        });
    }
}
