package com.zyb.loveball.ui;

import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.scenes.scene2d.Actor;

public class AtlasImage extends Actor {
    Sprite region;
    public AtlasImage(Sprite region){
        this.region = region;
    }

    @Override
    public void setPosition(float x, float y) {
        super.setPosition(x, y);
        region.setPosition(x,y);
    }

    @Override
    public void setSize(float width, float height) {
        super.setSize(width, height);
        region.setSize(width,height);
    }

    @Override
    public void draw(Batch batch, float parentAlpha) {
        super.draw(batch, parentAlpha);
        region.setPosition(x,y);
        region.draw(batch);
    }
}
