package com.zyb.loveball.utils;

import com.badlogic.gdx.graphics.g2d.NinePatch;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.math.MathUtils;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.badlogic.gdx.scenes.scene2d.utils.NinePatchDrawable;
import com.zyb.loveball.assets.Assets;

public class LayerUtils {
    public static Image createLayer(){
        return createLayer(0.6F);
    }
    public static Image createLayer(float alpha){
        TextureRegion region = Assets.instance.ui.findRegion("white");
        NinePatch patch = new NinePatch(region,2,2,2,2);
        NinePatchDrawable drawable = new NinePatchDrawable(patch);
        Image image = new Image(drawable);
        image.setSize(500,1160);
        image.setPosition(-10,-120);
        image.setColor(0,0,0,alpha);
        return image;
    }
    public static NinePatch createLayerNinePatch(float alpha){
        TextureRegion region = Assets.instance.ui.findRegion("white");
        NinePatch patch = new NinePatch(region,2,2,2,2);
        return patch;
    }
}
