package com.rube;

import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

/**
 * Created by wuhao on 4/13/17.
 */
public final class ImageSourceImpl {
    private ImageSourceImpl(){}

    public static class AtlasMap implements TextureMapper {
        TextureAtlas ta;
        public AtlasMap(TextureAtlas ta) {
            this.ta = ta;
        }
        public TextureRegion mapR(String key) {
            return ta.findRegion(key);
        }
    }
}
