package com.rube;

import com.badlogic.gdx.utils.JsonValue;

/**
 * Created by Alan on 2017/4/11.
 */
public class JsonUtil {

    public static float[] asFloatArray(JsonValue value) {
        if (value.type() != JsonValue.ValueType.array)
            throw new IllegalStateException("Value is not an array: " + value.type());
        float[] array = new float[value.size];
        int i = 0;
        for (JsonValue tmp = value.child; tmp != null; tmp = tmp.next, i++) {
            array[i] = tmp.asFloat();
        }
        return array;
    }

}
