package com.zyb.loveball.objects;

import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.physics.box2d.Body;
import com.badlogic.gdx.scenes.scene2d.Actor;
import com.zyb.loveball.GamePanel;

/**
 * Created by Doodle on 2018/9/10.
 */

public class BaseObject {
    protected Body body;
    protected GamePanel gamePanel;
    public BaseObject(GamePanel gamePanel){
        this.gamePanel = gamePanel;
    }

    public void draw(Batch batch, float parentAlpha) {
    }

    public void updateUI(float delta){

    }

    public void updateWorld(float delta){

    }

    public Body getBody() {
        return body;
    }
}
