package com.zyb.loveball.utils;

import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.Group;
import com.badlogic.gdx.scenes.scene2d.Touchable;
import org.freyja.libgdx.cocostudio.ui.CocoStudioUIEditor;
import org.freyja.libgdx.cocostudio.ui.parser.group.CCScene;

import java.util.HashMap;
import java.util.HashSet;

/**
 * Created by lilexiang on 17-1-24.
 */
public class CocosUtil {
	protected Group scene;
	protected Group[] groups = new Group[3];
	protected String[] GROUP_NAME = {"top", "bottom", "center"};
	protected int TOP = 0;
	protected int BOTTOM = 1;
	protected int CENTER = 2;

	public Actor findActor(String name) {
		if(scene!=null) {
			return scene.findActor(name);
		}
		return null;
	}

	public Actor findActor(String name, Touchable touchable) {
		Actor actor = scene.findActor(name);
		if(actor!=null) {
			actor.setTouchable(touchable);
		}
		return actor;
	}

	public Group getScene() {
		scene.setTransform(false);
		return scene;
	}



	protected void disableTransform(){
		scene.setTransform(false);
	}


}
